V5.0
get
/ec-designer-svc/rest/v5.0/studies/{studyId}/kits
Retrieves list of kits for all study versions in Testing, Approved and Archived states.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
kitType: string
Kit type, such as standard, titration, device or all, to filter by. Optional.Default Value:
allAllowed Values:[ "standard", "device", "titration", "all" ]Example:all -
mode(required): string
Study mode used to filter kits or titration. Allowed values: design (draft design data), test (testing data), training (training data), active (approved production data), all (all modes).Allowed Values:
[ "test", "training", "active" ]Example:test -
unblinded: boolean
Indicates whether unblinded fields are returned for users who have the OrsUnblinded permission. Optional.Default Value:
falseExample:false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitDescDto V5.0
Title:
KitDescDto V5.0Kit description and distribution setting
Nested Schema : KitDescDto V5.0
Type:
objectTitle:
KitDescDto V5.0Kit description and distribution setting
Show Source
-
deviceConn: string
Device ConnectionExample:
D2C -
deviceType: string
Device TypeExample:
SCALE -
distributionSetting: string
(string)
Distribution SettingExample:
UNBLINDED -
kitDescription: string
(string)
Kit descriptionExample:
Kit_1003_1 -
kitId: string
(uuid)
Kit Unique GUID
-
kitType: string
(string)
Kit Type IDExample:
Kit_1003_1 -
libraryKitId: string
(uuid)
Library Kit GUID
-
poolingId: string
Pooling Kit IDExample:
POL12 -
titrationKit: string
Indicates if this is a titration
-
trialSupplyType: string
Trial Supply TypeExample:
BOTTLE
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object